# Uses of Class
java.beans.PropertyChangeSupport

Packages that use PropertyChangeSupport
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.beans.beancontext
Provides classes and interfaces relating to bean context.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.

## Uses of PropertyChangeSupport in java.awt

Fields in java.awt declared as PropertyChangeSupport
Modifier and Type
Field
Description
`protected final PropertyChangeSupport`
Toolkit.`desktopPropsSupport`
The desktop properties change support.

## Uses of PropertyChangeSupport in java.beans.beancontext

Fields in java.beans.beancontext declared as PropertyChangeSupport
Modifier and Type
Field
Description
`protected PropertyChangeSupport`
BeanContextChildSupport.`pcSupport`
Deprecated, for removal: This API element is subject to removal in a future version.
The `PropertyChangeSupport` associated with this `BeanContextChildSupport`.

## Uses of PropertyChangeSupport in javax.swing

Methods in javax.swing that return PropertyChangeSupport
Modifier and Type
Method
Description
`final PropertyChangeSupport`
SwingWorker.`getPropertyChangeSupport()`
Returns the `PropertyChangeSupport` for this `SwingWorker`.

## Uses of PropertyChangeSupport in javax.swing.event

Subclasses of PropertyChangeSupport in javax.swing.event
Modifier and Type
Class
Description
`final class`
`SwingPropertyChangeSupport`
This subclass of `java.beans.PropertyChangeSupport` is almost identical in functionality.